Documentation for Face Intellect 8.0-8.1. Documentation for other versions of Intellect is available too.
Previous page Next page
General request format:
POST http://IP-address:port/firserver/GetAnalitycByTime
Request parameters:
| Parameter | Required | Parameter description |
|---|---|---|
| server_id | Yes | Identifier of the Face Recognition Server in Face-Intellect |
| minAge | No | Minimum age of persons If not specified, then age is not taken into account |
| maxAge | No | Maximum age of persons If not specified, then age is not taken into account |
| dateTimeFrom | Yes | Time in UTC+0 format, starting from which the data should be obtained |
| dateTimeTo | Yes | Time in UTC+0 format, up to which the data should be obtained |
| cameraIds | No | Camera IDs in Face-Intellect If not specified, then results for all cameras are displayed |
| genders | Yes | Gender of persons whose data should be obtained: 0 — Unknown, 1 — Males, 2 — Females If parameter value is empty, then all results are displayed regardless of gender |
| returnLocalTime | No | Time format of the face capture: 0 — time in UTC+0 format, 1 — local time of the Server If not specified, then returnLocalTime=0 |
| timePeriod | No | Type of grouping the analytic data: 0 — by hour, 1 — by day, 2 — by month, 3 — by year If not specified, then timePeriod=0 |
Request example:
POST http://127.0.0.1:10000/firserver/GetAnalitycByTime
{
"server_id": "1",
"minAge": 20,
"maxAge": 30,
"dateTimeFrom": "2019-02-25T21:00:00.000",
"dateTimeTo": "2019-03-29T20:59:59.000",
"cameraIds": [
"1"
],
"genders": [
0,
1,
2
],
"returnLocalTime" : 0,
"timePeriod" : 0
}
Request headlines:
| Headline | Headline description |
|---|---|
| Allow | Returns the HTTP method used in request |
| Content-Length | Shows the size of characters in bytes, received in the request |
| Content-Type | Returns the type of received request |
| Server | Specifies the server from which the request comes |
| Access-Control-Request-Method | Returns the HTTP method that can be used in the request |
| Access-Control-Origin | Indicates if the code that sends the request from this source can access the server response |
| Date | Shows the time of the request |
Response example:
Response parameters:
| Parameter | Parameter description |
|---|---|
| Rows | List of unique faces |
| timestamp | First pass time in UTC+0 format |
| value | List of additional face characteristics (for more details, see Getting the recognition protocol) |
| Response | Response |
| Status | Completed request status: SUCCESS — successful, if error — see List of possible errors of the Face Recognition Server |
